-- -----------------------------------------------------------------------------
-- Copyright (c) 2013 Benjamin Krill <benjamin@krll.de>
-- 
-- Permission is hereby granted, free of charge, to any person obtaining a copy
-- of this software and associated documentation files (the "Software"), to deal
-- in the Software without restriction, including without limitation the rights
-- to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
-- copies of the Software, and to permit persons to whom the Software is
-- furnished to do so, subject to the following conditions:
-- 
-- The above copyright notice and this permission notice shall be included in
-- all copies or substantial portions of the Software.
-- 
-- THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
-- IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
-- FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
-- AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
-- LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
-- OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
-- THE SOFTWARE.
-- -----------------------------------------------------------------------------
library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

package dvi_package is
	constant COLOR_CNT     : integer := 3;
	constant RED           : natural := 2;
	constant GREEN         : natural := 1;
	constant BLUE          : natural := 0;

	constant CTRLTOKEN0 : std_logic_vector(9 downto 0) := "1101010100";
	constant CTRLTOKEN1 : std_logic_vector(9 downto 0) := "0010101011";
	constant CTRLTOKEN2 : std_logic_vector(9 downto 0) := "0101010100";
	constant CTRLTOKEN3 : std_logic_vector(9 downto 0) := "1010101011";

	type sdat_t  is array (natural range <>) of std_logic_vector(9 downto 0);
	type color_t is array (natural range <>) of std_logic_vector(7 downto 0);
end package;
